/*****************************************************************************/
/* meeting.css 09/07/2022 15:34                                                  */
/*****************************************************************************/
@charset "UTF-8";

/* ------------------------- Font Faces ------------------------- */
/*
@font-face {
	font-family: merriweather;
	src: url(/resources/Merriweather-Regular.otf);
	font-style: normal;
}

@font-face {
	font-family: merriweather;
	src: url(/resources/Merriweather-Bold.otf);
	font-weight: bold;
}

@font-face {
	font-family: merriweather;
	src: url(/resources/Merriweather-Italic.otf);
	font-style: italic;
}

@font-face {
	font-family: 'Courgette';
	font-style: normal;
	font-weight: 400;
	src: local('Courgette Regular'), local('Courgette-Regular'),
		url(/resources/Courgette-Regular.woff2);
	unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6,
		U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193,
		U+2212, U+2215, U+FEFF, U+FFFD;
}
*/

:root {
	--darkxxx: #936433;
	--dark: #713c0d;
	--medium: #f7efb2;
	--light: #fdf7ec;
	
/*  colors for testing: shades of blue
	--dark: #021efd;
	--medium: #818ef5;
	--light: #e7e9f8;
*/
}

.dark_fg {
	color: var(--dark);
}

.dark_bg {
	background-color: var(--dark);
}

.medium_fg {
	color: var(--medium);
}

.medium_bg {
	background-color: var(--medium);
}

.light_fg {
	color: var(--light);
}

.light_bg {
	background-color: var(--light);
}

* {
	box-sizing: border-box;
}

html {
	height: 100%;
}

body {
	min-height: 100%;
	display: grid;
    grid-template-rows: auto 1fr auto;
	margin: 0px;
	color: black;
	background-color: #fdf7ec;
	font-family: merriweather;
	font-size: 20px;
}

header {
	grid-row-start: 1;
    grid-row-end: 2;
}

main {
	grid-row-start: 2;
    grid-row-end: 3;
}

footer {
	grid-row-start: 3;
    grid-row-end: 4;
	font-size: 12px;
	text-align: center;
	width: 100%;
	padding-top: 8px;
	padding-bottom: 8px;
}

/* plain HTML tags */

pre {
	font-family: courier;
    font-size: 14px;
}

div, table, tr, th, td {
	border-collapse: collapse;
}

table, tr, th, td {
	border-collapse: collapse;
	border: 1px solid LightGray;
	/*padding: 0 5px;*/
}

table.debug {
	font-family: courier;
	border-collapse: collapse;
	border: 1px solid LightGray;
	/*padding: 0 5px;*/
	font-size: 16px;
}

.data th,td {
	padding: 0 10px;
}

td + input{
	padding: 0 0px;
}

.instructions {
	font-size: 14px;
	text-align: left;
}

/* Colors for blocks on edit_meeting_times.php */

.red_block { background-color: #fb030a; }
.green_block { background-color: #08fb03 ; }
.yellow_block { background-color: #f5fb03; }

.mybigrect {
	border-style: inset;
	border-width: 2px;
	border-radius:6px;
}

/* footer just floats at bottom of page after all content.  Use for tall pages. */
.footer_floating {
	font-size: 12px;
	text-align: center;
	width: 100%;
	padding-top: 16px;
}

/* footer is positioned at bottom of page.  Use for short pages. */
.footer_positioned {
	font-size: 12px;
	text-align: center;
	position: fixed;
	bottom: 10px;
	width: 100%;
}

#footerxxx{
	font-size: 12px;
	text-align: center;
	position: absolute;
	bottom: 0;
	width: 100%;
	height: 1.5em;
	background: #6cf;
}

#content-wrap {
  padding-bottom: 3.5rem;    /* Footer height */
}

#footer {
	font-size: 16px;
	text-align: center;
	vertical-align: text-bottom;
	position: absolute;
	bottom: 0;
	width: 99%;
	height: 1.5rem;
}

#footer {
	-webkit-animation-duration: 5s;
	animation-duration: 5s;
	-webkit-animation-fill-mode: both;
	animation-fill-mode: both;
}

@-webkit-keyframes fadeOut { 
0% {opacity: 1;}
50% {opacity: .8;}
100%{opacity:0;}
}

@keyframes fadeOut { 
0% {opacity: 1;}
50% {opacity: .8;}
100%{opacity:0;}
}

.fadeOut {
	-webkit-animation-name: fadeOut;
	animation-name: fadeOut;
}

#footerxxx {
	position: absolute;
	bottom: 0;
	width: 100%;
	height: 1.5rem; /* Footer height */
	background-color: lightblue;
	text-align: center;
}

#outerdiv {
	position: relative;
	min-height: 100vh;
}

.formbutton {
	font-size: 20px;
	font-style: italic;
	color: white;
	text-align: center;
	padding: 10px;
	text-decoration: none;
	/* background-color: #936433; */
	margin: 5px;
	border-radius: 10px;
}

.formbutton:disabled {
	background-color: lightgray;
}

.formbutton2 {
	font-size: 20px;
	font-size: 20px;
	font-style: italic;
	color: white;
	text-align: center;
	padding: 10px;
	text-decoration: none;
	background-color: black;
	margin: 5px;
	border-radius: 10px;
}

.spacebutton {
	font-size: 20px;
	font-style: italic;
	/* color: lightgrey; */
	/* background-color: lightgrey;*/
	text-align: center;
	padding: 10px;
	border-style: solid;
	border-width: 0px;
	text-decoration: none;
	margin: 5px;
	/* border-radius: 10px; */
}

.button_text {
	text-decoration: none;
	font-size: 20px;
	padding: 2px 10px;
	/* background-color: #936433; */
	background-color: var(--dark);
	border-style: solid;
	border-width: 0px;
	border-color: #333;
	border-radius: 5px;
	color: white;
}

.button_text_reversed {
	text-decoration: none;
	font-size: 20px;
	padding: 2px 10px;
	background-color: white;
	border-style: solid;
	border-width: 2px;
	border-color: black;
	border-radius: 5px;
	color: black;
}

.button_text:disabled {
	background-color: lightgray;
}

input[type=text], textarea {
	padding:0;
	border: none;
	font-size: 20px;
	font-family: inherit;
	/* background-color: #fee; */
}

select {
    border: 1px solid #6f6d6d;
    font-size: 20px;
    font-family: inherit;
    /* background-color: #fee; */
}

.status_msg {
	text-align: center;
	font-size: 18px;
	font-weight: bold;
	margin-top: 10px;
	color: red;
}

.status_msg_fail {
	text-align: center;
	font-size: 18px;
	font-weight: bold;
	margin-top: 10px;
	color: red;
}

.status_msg_pass {
	text-align: center;
	font-size: 18px;
	font-weight: bold;
	margin-top: 10px;
	color: green;
}

.page_title {
	text-align: center;
	font-size: 24px;
	font-weight: bold;
	margin-top: 15px;
}

.page_subtitle {
	text-align: center;
	font-size: 18px;
	font-weight: bold;
	margin-top: 10px;
}

.program_button {
	text-align: center;
}

.test_mode {
	font-size: 12px;
	color: white;
	background-color: red;
}

a.hidden:link {
	text-decoration: none;
	color: #333;
	background-color: #333;
}

a.hidden:visited {
	text-decoration: none;
	color: #333;
	background-color: #333;
}

a.hidden:hover {
	text-decoration: none;
	color: #303030;
	background-color: #202020;
}

a.hidden:active {
	text-decoration: none;
	color: black;
	background-color: black;
}

/* ------------------------- Debug Aids ------------------------- */
/*                   normally commented-out                       */

/*

form, input {
	border: 0px solid red;
	background-color:green;
}

div {
	border: 1px solid red;
}

table {
	border: 2px solid red;
}

tr {
	border: 2px dotted blue;
}

th, td {
	border: 2px solid green;
}

img {
	border: 1px solid blue;
}


*/
/* ---------------------- End Debug Aids ------------------------ */

/* ------------------------- Dropdown Menu Start ------------------------- */
/* Navbar container */
.navbar {
	/* overflow: hidden; */
	/* background-color: #333; */
	/* background-color: lightgrey; */
	background-color: var(--medium);  /* #f7efb2; */
	font-style: italic;
}

/* Links inside the navbar */
.navbar a {
	float: left;
	font-size: 20px;
	font-style: italic;
	color: white;
	text-align: center;
	padding: 10px;
	text-decoration: none;
	background-color: black;
	margin: 5px;
	border-radius: 10px;
}

/* *****
.navbar button {
	float: left;
	font-size: 20px;
	font-style: italic;
	color: white;
	text-align: center;
	padding: 10px;
	text-decoration: none;
	background-color: red;
	margin: 5px;
	border-radius: 10px;
}
.formbutton {
	font-size: 20px;
	font-style: italic;
	color: white;
	text-align: center;
	padding: 10px;
	text-decoration: none;
	background-color: #936433;
	margin: 5px;
	border-radius: 10px;
}
***** */



/* The dropdown container */
.dropdown {
	float: left;
	overflow: hidden;
}

/* Dropdown button */
.dropdown .dropbtn {
	font-size: 20px;
	border: none;
	outline: none;
	color: white;
	/* padding: 14px 16px; */
	padding: 5px 16px;
	background-color: inherit;
	font-family: inherit;
	font-style: inherit;
	/* Important for vertical align on mobile phones */
	margin: 0; /* Important for vertical align on mobile phones */
}

/* Add a background color to navbar links on hover */
.navbar a:hover, .dropdown:hover .dropbtn {
	background-color: #e580ff;
}

/* Dropdown content (hidden by default) */
.dropdown-content {
	display: none;
	position: absolute;
	background-color: #b800e6;
	min-width: 160px;
	box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
	z-index: 1;
	font-size: 16px;
	font-family: inherit;
	font-style: inherit;
	color: white;
}

/* Links inside the dropdown */
.dropdown-content a {
	float: none;
	color: white;
	padding: 12px 16px;
	text-decoration: none;
	display: block;
	text-align: left;
}

/* Add a grey background color to dropdown links on hover */
.dropdown-content a:hover {
	background-color: #ddd;
}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
	display: block;
}

/* ------------------------- Dropdown Menu End ------------------------- */

/*   https://cssbuttoncreator.com/   */
.text_button {
	background: #3D94F6;
	background-image: -webkit-linear-gradient(top, #3D94F6, #184FA8);
	background-image: -moz-linear-gradient(top, #3D94F6, #184FA8);
	background-image: -ms-linear-gradient(top, #3D94F6, #184FA8);
	background-image: -o-linear-gradient(top, #3D94F6, #184FA8);
	background-image: linear-gradient(to bottom, #3D94F6, #184FA8);
	-webkit-border-radius: 20px;
	-moz-border-radius: 20px;
	border-radius: 20px;
	color: #FFFFFF;
	font-family: Arial;
	font-size: 16px;
	font-weight: 100;
	padding: 5px;
	text-decoration: none;
	display: inline-block;
	cursor: pointer;
}

.text_button:hover {
	background: #1E62D0;
	background-image: -webkit-linear-gradient(top, #1E62D0, #3D94F6);
	background-image: -moz-linear-gradient(top, #1E62D0, #3D94F6);
	background-image: -ms-linear-gradient(top, #1E62D0, #3D94F6);
	background-image: -o-linear-gradient(top, #1E62D0, #3D94F6);
	background-image: linear-gradient(to bottom, #1E62D0, #3D94F6);
	text-decoration: none;
}